## kcoreaddons 5.44.0a

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(KF5_VERSION "5.44.0") # handled by release scripts
project(KCoreAddons VERSION ${KF5_VERSION})

include(FeatureSummary)
find_package(ECM 5.44.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)


set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR} ${CMAKE_CURRENT_SOURCE_DIR}/cmake)


include(GenerateExportHeader)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

set(REQUIRED_QT_VERSION 5.7.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core)

# TODO: create ECM macro for automoc & json things
set(KCoreAddons_AUTOMOC_MACRO_NAMES "K_PLUGIN_FACTORY_WITH_JSON" "K_PLUGIN_FACTORY" "K_PLUGIN_CLASS_WITH_JSON")
if(NOT CMAKE_VERSION VERSION_LESS "3.10.0")
  # CMake 3.9+ warns about automoc on files without Q_OBJECT, and doesn't know about other macros.
  # 3.10+ lets us provide more macro names that require automoc.
  list(APPEND CMAKE_AUTOMOC_MACRO_NAMES ${KCoreAddons_AUTOMOC_MACRO_NAMES})
endif()
set(KCoreAddons_AUTOMOC_MACRO_NAMES_WITH_JSON_ARG2 "K_PLUGIN_FACTORY_WITH_JSON" "K_PLUGIN_CLASS_WITH_JSON")
if(NOT CMAKE_VERSION VERSION_LESS "3.9.0")
    # CMake's automoc needs help to find names of plugin metadata files in case Q_PLUGIN_METADATA
    # is indirectly used via other C++ preprocessor macros
    # 3.9+ lets us provide some filter rule pairs (keyword, regexp) to match the names of such files
    # in the plain text of the sources. See AUTOMOC_DEPEND_FILTERS docs for details.
    foreach(macro_name  ${KCoreAddons_AUTOMOC_MACRO_NAMES_WITH_JSON_ARG2})
        list(APPEND CMAKE_AUTOMOC_DEPEND_FILTERS
            "${macro_name}"
            "[\n^][ \t]*${macro_name}[ \t\n]*\\([^,]*,[ \t\n]*\"([^\"]+)\""
        )
    endforeach()
endif()


find_package(Threads)

# Configure checks for kdirwatch
find_package(FAM)

set_package_properties(FAM PROPERTIES
     PURPOSE "Provides file alteration notification facilities using a separate service. FAM provides additional support for NFS.")

set(HAVE_FAM ${FAM_FOUND})

option(ENABLE_INOTIFY "Try to use inotify for directory monitoring" ON)
if(ENABLE_INOTIFY)
    # Find libinotify
    find_package(Inotify)
    set_package_properties(Inotify PROPERTIES
        PURPOSE "Filesystem alteration notifications using inotify")
    set(HAVE_SYS_INOTIFY_H ${Inotify_FOUND})
else()
    set(HAVE_SYS_INOTIFY_H FALSE)
endif()

# Generate io/config-kdirwatch.h
configure_file(src/lib/io/config-kdirwatch.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/src/lib/io/config-kdirwatch.h)

include(ECMPoQmTools)

ecm_setup_version(PROJECT VARIABLE_PREFIX KCOREADDONS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kcoreaddons_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5CoreAddonsConfigVersion.cmake"
                        SOVERSION 5)


if (IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
    ecm_install_po_files_as_qm(po)
endif()

kde_enable_exceptions()

add_subdirectory(src)
add_subdirectory(autotests)
add_subdirectory(tests)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5CoreAddons")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF5CoreAddons_QCH
        FILE KF5CoreAddonsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5CoreAddonsQchTargets.cmake\")")
endif()

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5CoreAddonsConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5CoreAddonsConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5CoreAddonsConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5CoreAddonsConfigVersion.cmake"
               "${CMAKE_CURRENT_SOURCE_DIR}/KF5CoreAddonsMacros.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KF5CoreAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5CoreAddonsTargets.cmake NAMESPACE KF5:: )
install(EXPORT KF5CoreAddonsToolingTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5CoreAddonsToolingTargets.cmake NAMESPACE KF5:: )

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kcoreaddons_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/lib/CMakeLists.txt ===
# Configure checks for the caching subdir
include(CheckIncludeFiles)
check_include_files("sys/types.h;sys/mman.h" HAVE_SYS_MMAN_H)
configure_file(caching/config-caching.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-caching.h)

include(CheckSymbolExists)
check_symbol_exists("getgrouplist" "grp.h" HAVE_GETGROUPLIST)
configure_file(util/config-getgrouplist.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-getgrouplist.h)

set (KDE4_DEFAULT_HOME ".kde${_KDE4_DEFAULT_HOME_POSTFIX}" CACHE STRING "The default KDE home directory" )
configure_file(util/config-kde4home.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-kde4home.h)

set (ACCOUNTS_SERVICE_ICON_DIR "/var/lib/AccountsService/icons" CACHE STRING "Accounts Services icon storage directory")
configure_file(util/config-accountsservice.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-accountsservice.h)

ecm_create_qm_loader(kcoreaddons_QM_LOADER kcoreaddons5_qt)

set(kcoreaddons_OPTIONAL_SRCS )
set(kcoreaddons_OPTIONAL_LIBS )

if (FAM_FOUND)
   include_directories(${FAM_INCLUDE_DIR})
   set(kcoreaddons_OPTIONAL_LIBS ${kcoreaddons_OPTIONAL_LIBS} ${FAM_LIBRARIES})
endif ()

if (Inotify_FOUND)
   include_directories(${Inotify_INCLUDE_DIRS})
   set(kcoreaddons_OPTIONAL_LIBS ${kcoreaddons_OPTIONAL_LIBS} ${Inotify_LIBRARIES})
endif ()

if(NOT WIN32)
    set(kcoreaddons_OPTIONAL_SRCS caching/kshareddatacache.cpp)
    set(kcoreaddons_OPTIONAL_LIBS ${kcoreaddons_OPTIONAL_LIBS} ${CMAKE_THREAD_LIBS_INIT})

    set_source_files_properties(caching/kshareddatacache.cpp
        PROPERTIES COMPILE_FLAGS -fexceptions)

else()
    set(kcoreaddons_OPTIONAL_SRCS
        caching/kshareddatacache_win.cpp
    )
endif()

if (WIN32)
    set(kcoreaddons_OPTIONAL_SRCS
        ${kcoreaddons_OPTIONAL_SRCS}
        text/kmacroexpander_win.cpp
        util/kshell_win.cpp
        util/kuser_win.cpp
    )
endif ()

if (UNIX)
    set(kcoreaddons_OPTIONAL_SRCS
        ${kcoreaddons_OPTIONAL_SRCS}
        text/kmacroexpander_unix.cpp
        util/kuser_unix.cpp
        util/kshell_unix.cpp
    )
endif ()

set(libkcoreaddons_SRCS
    kaboutdata.cpp
    kcoreaddons.cpp
    io/kautosavefile.cpp
    io/kdirwatch.cpp
    io/kfilesystemtype.cpp
    io/kmessage.cpp
    io/kprocess.cpp
    io/kbackup.cpp
    io/kurlmimedata.cpp
    jobs/kcompositejob.cpp
    jobs/kjob.cpp
    jobs/kjobtrackerinterface.cpp
    jobs/kjobuidelegate.cpp
    plugin/kpluginfactory.cpp
    plugin/kpluginloader.cpp
    plugin/kpluginmetadata.cpp
    plugin/desktopfileparser.cpp
    randomness/krandom.cpp
    randomness/krandomsequence.cpp
    text/kmacroexpander.cpp
    text/kstringhandler.cpp
    text/ktexttohtml.cpp
    util/kdelibs4migration.cpp
    util/kdelibs4configmigrator.cpp
    util/kformat.cpp
    util/kformatprivate.cpp
    util/kshell.cpp
    ${kcoreaddons_OPTIONAL_SRCS}
    ${kcoreaddons_QM_LOADER}
)


set(kcoreaddons_INCLUDE_DIRS
    ${CMAKE_CURRENT_BINARY_DIR}/../.. # for kcoreaddons_version.h
    ${CMAKE_CURRENT_SOURCE_DIR}/caching/
    ${CMAKE_CURRENT_BINARY_DIR}/io/
    ${CMAKE_CURRENT_SOURCE_DIR}/io/
    ${CMAKE_CURRENT_SOURCE_DIR}/jobs/
    ${CMAKE_CURRENT_SOURCE_DIR}/plugin/
    ${CMAKE_CURRENT_SOURCE_DIR}/randomness/
    ${CMAKE_CURRENT_SOURCE_DIR}/text/
    ${CMAKE_CURRENT_SOURCE_DIR}/util/
)

ecm_qt_declare_logging_category(libkcoreaddons_SRCS
                                HEADER kcoreaddons_debug.h
                                IDENTIFIER KCOREADDONS_DEBUG
                                CATEGORY_NAME org.kde.kcoreaddons)

add_library(KF5CoreAddons ${libkcoreaddons_SRCS})
generate_export_header(KF5CoreAddons BASE_NAME KCoreAddons)
add_library(KF5::CoreAddons ALIAS KF5CoreAddons)

target_include_directories(KF5CoreAddons PUBLIC "$<BUILD_INTERFACE:${kcoreaddons_INCLUDE_DIRS}>")

target_link_libraries(KF5CoreAddons
  PUBLIC
    Qt5::Core
  PRIVATE
    ${kcoreaddons_OPTIONAL_LIBS}
)

target_link_libraries(KF5CoreAddons PRIVATE ${CMAKE_THREAD_LIBS_INIT})

if(WIN32)
    target_link_libraries(KF5CoreAddons PRIVATE netapi32 userenv)
endif()

target_include_directories(KF5CoreAddons INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KCoreAddons>" )

target_compile_definitions(KF5CoreAddons INTERFACE "$<INSTALL_INTERFACE:KCOREADDONS_LIB>")

set_target_properties(KF5CoreAddons PROPERTIES VERSION   ${KCOREADDONS_VERSION_STRING}
                                               SOVERSION ${KCOREADDONS_SOVERSION}
                                               EXPORT_NAME CoreAddons
)

ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES
        KAboutData
        KCoreAddons
    REQUIRED_HEADERS KCoreAddons_HEADERS
)
ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES KSharedDataCache
    RELATIVE caching
    REQUIRED_HEADERS KCoreAddons_HEADERS
)
ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES
        KAutoSaveFile
        KDirWatch
        KMessage
        KProcess
        KBackup
        KUrlMimeData
        KFileSystemType
    RELATIVE io
    REQUIRED_HEADERS KCoreAddons_HEADERS
)
ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES
        KCompositeJob
        KJob
        KJobTrackerInterface
        KJobUiDelegate
    RELATIVE jobs
    REQUIRED_HEADERS KCoreAddons_HEADERS
)
ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES
        KExportPlugin
        KPluginFactory
        KPluginLoader
        KPluginMetaData
    RELATIVE plugin
    REQUIRED_HEADERS KCoreAddons_HEADERS
)
ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES
        KRandom
        KRandomSequence
    RELATIVE randomness
    REQUIRED_HEADERS KCoreAddons_HEADERS
)
ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES
        KMacroExpander
        KStringHandler
        KTextToHTML
        KTextToHTMLEmoticonsInterface
    RELATIVE text
    REQUIRED_HEADERS KCoreAddons_HEADERS
)
ecm_generate_headers(KCoreAddons_HEADERS
    HEADER_NAMES
        KFormat
        KUser
        KShell
        Kdelibs4Migration
        Kdelibs4ConfigMigrator
    RELATIVE util
    REQUIRED_HEADERS KCoreAddons_HEADERS
)

find_package(PythonModuleGeneration)

if (PythonModuleGeneration_FOUND)
  ecm_generate_python_binding(
    TARGET KF5::CoreAddons
    PYTHONNAMESPACE PyKF5
    MODULENAME KCoreAddons
    RULES_FILE "${CMAKE_SOURCE_DIR}/cmake/rules_PyKF5.py"
    INSTALL_DIR_SUFFIX ${KDE_INSTALL_PYTHONBINDINGSDIR}
    SIP_DEPENDS
      QtCore/QtCoremod.sip
    HEADERS
      kaboutdata.h
      kcoreaddons.h
      caching/kshareddatacache.h
      io/kautosavefile.h
      io/kdirwatch.h
      io/kmessage.h
      io/kprocess.h
      io/kbackup.h
      io/kurlmimedata.h
      io/kfilesystemtype.h
      jobs/kcompositejob.h
      jobs/kjob.h
      jobs/kjobtrackerinterface.h
      jobs/kjobuidelegate.h
      plugin/kexportplugin.h
      plugin/kpluginfactory.h
      plugin/kpluginloader.h
      plugin/kpluginmetadata.h
      randomness/krandom.h
      randomness/krandomsequence.h
      text/kmacroexpander.h
      text/kstringhandler.h
      text/ktexttohtml.h
      text/ktexttohtmlemoticonsinterface.h
      util/kformat.h
      util/kuser.h
      util/kshell.h
      util/kdelibs4migration.h
      util/kdelibs4configmigrator.h
  )
endif()

install(TARGETS KF5CoreAddons EXPORT KF5CoreAddonsTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${KCoreAddons_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kcoreaddons_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KCoreAddons COMPONENT Devel
)

# Includes CMake code to install open-source license texts for KAboutData.
add_subdirectory(licenses)

if(BUILD_QCH)
    ecm_add_qch(
        KF5CoreAddons_QCH
        NAME KCoreAddons
        BASE_NAME KF5CoreAddons
        VERSION ${KF5_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KCoreAddons_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt5Core_QCH
        BLANK_MACROS
            KCOREADDONS_EXPORT
            KCOREADDONS_DEPRECATED
            KCOREADDONS_DEPRECATED_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

include(ECMGeneratePriFile)
ecm_generate_pri_file(BASE_NAME KCoreAddons LIB_NAME KF5CoreAddons DEPS "core" FILENAME_VAR PRI_FILENAME INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KCoreAddons)
install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

=== debian/changelog ===
kcoreaddons (5.44.0a-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)
  * Bump version for re-spun source tarball

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:56:38 +0000

kcoreaddons (5.43.0-0ubuntu2) bionic; urgency=medium

  * Disable expensive kdirwatch backend tests. These fail on ubuntu
    infra with out of space errors.
  * Skip failing kformattest test cases. Reported upstream.

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 13 Feb 2018 00:23:19 +0000

kcoreaddons (5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:14:20 +0000

kcoreaddons (5.42.0-0ubuntu1) bionic; urgency=medium

  * Rename libkf5coreaddons-bin-dev to libkf5coreaddons-dev-bin, as
    per debian changes
  * New upstream release (5.42.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 26 Jan 2018 22:20:24 +0000

kcoreaddons (5.41.0-0ubuntu1) bionic; urgency=low

  * New upstream release (5.41.0)
  * Updated symbols from build logs. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Sun, 10 Dec 2017 22:03:48 -0600

kcoreaddons (5.40.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.39.0)
  * New upstream release (5.40.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 24 Nov 2017 17:15:28 +0000

=== debian/control ===
Source: kcoreaddons
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               libfam-dev,
               pkg-kde-tools (>= 0.15.16~),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~),
               shared-mime-info (>= 1.3)
Standards-Version: 3.9.8
Homepage: http://projects.kde.org/kcoreaddons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons

Package: libkf5coreaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5coreaddons-dev (<= 5.8.0-1)
Replaces: libkf5coreaddons-dev (<= 5.8.0-1)
Description: KDE Frameworks 5 addons to QtCore - data files
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the arch independent files for KCoreAddons.

Package: libkf5coreaddons-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkf5coreaddons-dev-bin (= ${binary:Version}),
         libkf5coreaddons5 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5service-dev (<= 5.2.0), libkf5coreaddons-bin-dev (<< 5.42.0~)
Replaces: libkf5service-dev (<= 5.2.0), libkf5coreaddons-bin-dev (<< 5.42.0~)
Description: KDE Frameworks 5 addons to QtCore - development files
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files for KCoreAddons.

Package: libkf5coreaddons-dev-bin
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libkf5coreaddons-bin-dev, libkf5coreaddons-dev (<< 5.15.0-2~)
Breaks: libkf5coreaddons-bin-dev, libkf5coreaddons-dev (<< 5.15.0-2~)
Description: KDE Frameworks 5 addons to QtCore - development files
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
 .
 This package is an implementation detail for KCoreAddons.

Package: libkf5coreaddons5
Architecture: any
Multi-Arch: same
Depends: libkf5coreaddons-data (= ${source:Version}),
         shared-mime-info (>= 1.3),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE Frameworks 5 addons to QtCore
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.

=== debian/rules ===
#!/usr/bin/make -f
 
include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkf5coreaddons5-dbg (<= 5.19.0-1~~)'

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/stable/frameworks/([\d\.]*)/kcoreaddons-(.*)\.tar\.xz

## kcoreaddons 5.50.0

=== debian/changelog ===
kcoreaddons (5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:12:10 +0100

kcoreaddons (5.49.0-0ubuntu2) cosmic; urgency=medium

  * debian/tests/testsuite: Set '$HOME' for tests in
    debian/tests.home unconditionally.

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 30 Aug 2018 21:25:53 +0100

kcoreaddons (5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)
  * Update symbols from build logs.

  [ José Manuel Santamaría Lema ]
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:29:21 +0100

kcoreaddons (5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)

  [ José Manuel Santamaría Lema ]
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/
    - replace our patch fix-kformattest.patch with Debian's
      fix-kformattest-plural-forms.patch

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:48:09 +0100

kcoreaddons (5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * testsuite: Run tests one at the time
  * Add patch: fix-kformattest-plural-forms.patch
  * Add patch: kdirwatch-tests-method-specific.patch
  * Add misc:Depends to the -dev package
  * Bump group breaks (5.46)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:14:38 +0200

kcoreaddons (5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:55:22 +0100

kcoreaddons (5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.45)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:10:11 +0200

kcoreaddons (5.44.0-1) sid; urgency=medium

  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.44)
  * Bump doxygen build dep.
    Thanks to Aaron M. Ucko for the report (Closes: 887679)
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:51:54 +0100

kcoreaddons (5.43.0-1) experimental; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.43.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.43)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:43:15 +0100

kcoreaddons (5.42.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sat, 10 Feb 2018 11:28:38 +0100

kcoreaddons (5.42.0-1) experimental; urgency=medium

  * New upstream release (5.42.0).
  * Add link options as-needed
  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.42)
  * Bump Standards-Version to 4.1.3.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 02 Feb 2018 12:04:50 +0100

kcoreaddons (5.41.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.41.0).
  * Update symbols files
  * Rename libkf5coreaddons-bin-dev to libkf5coreaddons-dev-bin.
    Move the cmake file to the m-a: same -dev package, and add the
    corresponding breaks replaces.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: 882692)
  * Update copyright file
  * Bump group breaks (5.41)
  * Release to experimental

  [ Helmut Grohne ]
  * Fix FTCBFS: Annotate libqt5sql5-sqlite with :native. (Closes: 882835)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Dec 2017 10:42:17 -0300

kcoreaddons (5.41.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 08 Dec 2017 14:45:03 +0000

kcoreaddons (5.40.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2017 12:56:23 +0000

kcoreaddons (5.39.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 15 Oct 2017 11:40:05 +0000

kcoreaddons (5.38.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 11 Sep 2017 13:24:29 +0000

kcoreaddons (5.37.0-3) unstable; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Rename libkf5coreaddons-bin-dev to libkf5coreaddons-dev-bin.
    Move the cmake file to the m-a: same -dev package, and add the
    corresponding Breaks/Replaces.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: 882692)

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 13 Jan 2018 13:37:06 +0300

kcoreaddons (5.37.0-2) sid; urgency=medium

  * New revision
  * Update install file
  * Bump Standards-Version to 4.1.0.
  * Update upstream metadata
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:57:47 +0200

kcoreaddons (5.37.0-1) experimental; urgency=medium

  * New upstream release (5.37.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.37)
  * Update symbols file
  * Add a libkf5coreaddons-doc package for the qch files
  * Bump Standards-Version to 4.0.1.
  * Set section for the doc package
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 16 Aug 2017 10:41:59 +0200

kcoreaddons (5.37.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Aug 2017 15:11:54 +0000

kcoreaddons (5.36.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * Update watch file
  * New upstream release (5.35.0).
  * Bump Standards-Version to 4.0.0.
  * Update build-deps and deps with the info from cmake


=== debian/control ===
--- 
+++ 
@@ -3,16 +3,19 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 2.8.12),
-               debhelper (>= 9),
-               extra-cmake-modules (>= 5.44.0~),
+Build-Depends: cmake (>= 3.0~),
+               debhelper (>= 11~),
+               doxygen (>= 1.8.13~),
+               extra-cmake-modules (>= 5.50.0~),
+               graphviz,
                libfam-dev,
+               libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.16~),
-               qtbase5-dev (>= 5.6.1~),
+               qtbase5-dev (>= 5.8.0~),
                qttools5-dev (>= 5.6.1~),
                qttools5-dev-tools (>= 5.6.1~),
-               shared-mime-info (>= 1.3)
-Standards-Version: 3.9.8
+               shared-mime-info (>= 1.3),
+Standards-Version: 4.1.4
 Homepage: http://projects.kde.org/kcoreaddons
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
@@ -39,11 +42,12 @@
 Section: libdevel
 Depends: libkf5coreaddons-dev-bin (= ${binary:Version}),
          libkf5coreaddons5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.6.1~),
+         qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
-         ${shlibs:Depends}
-Breaks: libkf5service-dev (<= 5.2.0), libkf5coreaddons-bin-dev (<< 5.42.0~)
-Replaces: libkf5service-dev (<= 5.2.0), libkf5coreaddons-bin-dev (<< 5.42.0~)
+         ${shlibs:Depends},
+Breaks: libkf5coreaddons-bin-dev (<< 5.42.0~), libkf5service-dev (<= 5.2.0)
+Replaces: libkf5coreaddons-bin-dev (<< 5.42.0~), libkf5service-dev (<= 5.2.0)
+Recommends: libkf5coreaddons-doc (= ${source:Version})
 Description: KDE Frameworks 5 addons to QtCore - development files
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,
@@ -59,8 +63,8 @@
 Multi-Arch: foreign
 Section: libdevel
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: libkf5coreaddons-bin-dev, libkf5coreaddons-dev (<< 5.15.0-2~)
 Replaces: libkf5coreaddons-bin-dev, libkf5coreaddons-dev (<< 5.15.0-2~)
-Breaks: libkf5coreaddons-bin-dev, libkf5coreaddons-dev (<< 5.15.0-2~)
 Description: KDE Frameworks 5 addons to QtCore - development files
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,
@@ -70,6 +74,21 @@
  This package is part of KDE Frameworks 5.
  .
  This package is an implementation detail for KCoreAddons.
+
+Package: libkf5coreaddons-doc
+Architecture: all
+Multi-Arch: foreign
+Section: doc
+Depends: ${misc:Depends}
+Description: KDE Frameworks 5 addons to QtCore (documentation)
+ KCoreAddons provides classes built on top of QtCore to perform various tasks
+ such as manipulating mime types, autosaving files, creating backup files,
+ generating random sequences, performing text manipulations such as macro
+ replacement, accessing user information and many more.
+ .
+ This package is part of KDE Frameworks 5.
+ .
+ This package contains the qch documentation files.
 
 Package: libkf5coreaddons5
 Architecture: any

## kcoreaddons 5.54.0

=== tests/CMakeLists.txt ===
remove_definitions(-DQT_NO_CAST_FROM_ASCII)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG QUIET OPTIONAL_COMPONENTS Widgets)
if(NOT Qt5Widgets_FOUND)
    message(STATUS "Qt5Widgets not found, examples will not be built.")
    return()
endif()

add_executable(kdirwatchtest_gui kdirwatchtest_gui.cpp)
target_link_libraries(kdirwatchtest_gui Qt5::Widgets KF5::CoreAddons)

add_executable(faceicontest faceicontest.cpp)
target_link_libraries(faceicontest Qt5::Widgets KF5::CoreAddons)

=== debian/changelog ===
kcoreaddons (5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * Rediff patches
  * Update install files
  * New upstream release (5.53.1).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Disable testsuite
  * Bump group breaks (5.54)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:33 -0300

kcoreaddons (5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.50)
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.51)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:35 +0100

kcoreaddons (5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * Update copyright information
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Bump group breaks (5.49)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:15 +0200

kcoreaddons (5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (5.47)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:08:35 +0200

kcoreaddons (5.18.0-0ubuntu1) UNRELEASED; urgency=medium

  [ Scarlett Clark ]
  * New upstream release Xenial

  [ Philip Muškovac ]
  * New upstream release
  * Add new library symbols

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 06 Jan 2016 14:58:04 +0100

=== debian/control ===
--- 
+++ 
@@ -3,29 +3,29 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                debhelper (>= 11~),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.50.0~),
+               extra-cmake-modules (>= 5.54.0~),
                graphviz,
                libfam-dev,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.16~),
-               qtbase5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.6.1~),
-               qttools5-dev-tools (>= 5.6.1~),
+               qtbase5-dev (>= 5.9.0~),
+               qttools5-dev (>= 5.4),
+               qttools5-dev-tools (>= 5.4),
                shared-mime-info (>= 1.3),
 Standards-Version: 4.1.4
 Homepage: http://projects.kde.org/kcoreaddons
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kcoreaddons
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kcoreaddons.git
 
 Package: libkf5coreaddons-data
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: libkf5coreaddons-dev (<= 5.8.0-1)
 Breaks: libkf5coreaddons-dev (<= 5.8.0-1)
-Replaces: libkf5coreaddons-dev (<= 5.8.0-1)
 Description: KDE Frameworks 5 addons to QtCore - data files
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,
@@ -37,16 +37,27 @@
  This package contains the arch independent files for KCoreAddons.
 
 Package: libkf5coreaddons-dev
+Section: libdevel
 Architecture: any
 Multi-Arch: same
-Section: libdevel
 Depends: libkf5coreaddons-dev-bin (= ${binary:Version}),
          libkf5coreaddons5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.8.0~),
+         qtbase5-dev (>= 5.9.0~),
          ${misc:Depends},
          ${shlibs:Depends},
-Breaks: libkf5coreaddons-bin-dev (<< 5.42.0~), libkf5service-dev (<= 5.2.0)
-Replaces: libkf5coreaddons-bin-dev (<< 5.42.0~), libkf5service-dev (<= 5.2.0)
+Replaces: libkf5coreaddons-bin-dev (<< 5.41), libkf5service-dev (<= 5.2.0)
+Breaks: baloo-kf5-dev (<< 5.54),
+        kded5-dev (<< 5.54),
+        libkf5auth-dev (<< 5.54),
+        libkf5coreaddons-bin-dev (<< 5.41),
+        libkf5crash-dev (<< 5.54),
+        libkf5guiaddons-dev (<< 5.54),
+        libkf5jobwidgets-dev (<< 5.54),
+        libkf5notifications-dev (<< 5.54),
+        libkf5package-dev (<< 5.54),
+        libkf5pty-dev (<< 5.54),
+        libkf5purpose-dev (<< 5.54),
+        libkf5service-dev (<< 5.54),
 Recommends: libkf5coreaddons-doc (= ${source:Version})
 Description: KDE Frameworks 5 addons to QtCore - development files
  KCoreAddons provides classes built on top of QtCore to perform various tasks
@@ -59,12 +70,12 @@
  This package contains the development files for KCoreAddons.
 
 Package: libkf5coreaddons-dev-bin
+Section: libdevel
 Architecture: any
 Multi-Arch: foreign
-Section: libdevel
 Depends: ${misc:Depends}, ${shlibs:Depends}
+Replaces: libkf5coreaddons-bin-dev, libkf5coreaddons-dev (<< 5.15.0-2~)
 Breaks: libkf5coreaddons-bin-dev, libkf5coreaddons-dev (<< 5.15.0-2~)
-Replaces: libkf5coreaddons-bin-dev, libkf5coreaddons-dev (<< 5.15.0-2~)
 Description: KDE Frameworks 5 addons to QtCore - development files
  KCoreAddons provides classes built on top of QtCore to perform various tasks
  such as manipulating mime types, autosaving files, creating backup files,
@@ -78,7 +89,6 @@
 Package: libkf5coreaddons-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: KDE Frameworks 5 addons to QtCore (documentation)
  KCoreAddons provides classes built on top of QtCore to perform various tasks
@@ -89,6 +99,7 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5coreaddons5
 Architecture: any
@@ -104,3 +115,77 @@
  replacement, accessing user information and many more.
  .
  This package is part of KDE Frameworks 5.
+Breaks: baloo-kf5 (<< 5.54),
+        frameworkintegration (<< 5.42),
+        kded5 (<< 5.54),
+        kdesignerplugin (<< 5.42),
+        kgendesignerplugin (<< 5.54),
+        kgendesignerplugin-bin (<< 5.54),
+        kinit (<< 5.54),
+        kio (<< 5.54),
+        kpackagelauncherqml (<< 5.54),
+        kpackagetool5 (<< 5.54),
+        kross (<< 5.54),
+        ktexteditor-katepart (<< 5.54),
+        libkf5auth5 (<< 5.54),
+        libkf5baloo5 (<< 5.54),
+        libkf5balooengine5 (<< 5.42),
+        libkf5bookmarks5 (<< 5.54),
+        libkf5configwidgets5 (<< 5.54),
+        libkf5crash5 (<< 5.54),
+        libkf5declarative5 (<< 5.42),
+        libkf5emoticons-bin (<< 5.54),
+        libkf5emoticons5 (<< 5.54),
+        libkf5globalaccel-bin (<< 5.54),
+        libkf5globalaccelprivate5 (<< 5.54),
+        libkf5iconthemes5 (<< 5.54),
+        libkf5jobwidgets5 (<< 5.54),
+        libkf5kcmutils5 (<< 5.54),
+        libkf5kdelibs4support5 (<< 5.54),
+        libkf5kdelibs4support5-bin (<< 5.54),
+        libkf5khtml-bin (<< 5.54),
+        libkf5khtml5 (<< 5.54),
+        libkf5kiocore5 (<< 5.54),
+        libkf5kiofilewidgets5 (<< 5.54),
+        libkf5kiogui5 (<< 5.54),
+        libkf5kiontlm5 (<< 5.54),
+        libkf5kiowidgets5 (<< 5.54),
+        libkf5krossui5 (<< 5.42),
+        libkf5mediaplayer5 (<< 5.42),
+        libkf5newstuff5 (<< 5.54),
+        libkf5newstuffcore5 (<< 5.54),
+        libkf5notifications5 (<< 5.54),
+        libkf5notifyconfig5 (<< 5.42),
+        libkf5package5 (<< 5.54),
+        libkf5parts-plugins (<< 5.54),
+        libkf5parts5 (<< 5.54),
+        libkf5people5 (<< 5.54),
+        libkf5peoplewidgets5 (<< 5.54),
+        libkf5plasma5 (<< 5.54),
+        libkf5plasmaquick5 (<< 5.54),
+        libkf5pty5 (<< 5.54),
+        libkf5purpose-bin (<< 5.54),
+        libkf5purpose5 (<< 5.54),
+        libkf5quickaddons5 (<< 5.54),
+        libkf5runner5 (<< 5.54),
+        libkf5service-bin (<< 5.54),
+        libkf5service5 (<< 5.54),
+        libkf5style5 (<< 5.42),
+        libkf5su-bin (<< 5.54),
+        libkf5su5 (<< 5.54),
+        libkf5texteditor5 (<< 5.54),
+        libkf5textwidgets5 (<< 5.54),
+        libkf5wallet-bin (<< 5.54),
+        libkf5webkit5 (<< 5.54),
+        libkf5xmlgui5 (<< 5.54),
+        libkf5xmlrpcclient5 (<< 5.54),
+        libkwalletbackend5-5 (<< 5.42),
+        plasma-framework (<< 5.54),
+        qml-module-org-kde-activities (<< 5.54),
+        qml-module-org-kde-extensionplugin (<< 5.28),
+        qml-module-org-kde-kcoreaddons (<< 5.54),
+        qml-module-org-kde-kio (<< 5.42),
+        qml-module-org-kde-newstuff (<< 5.42),
+        qml-module-org-kde-purpose (<< 5.54),
+        qml-module-org-kde-qqc2desktopstyle (<< 5.42),
+        qml-module-org-kde-runnermodel (<< 5.42),

## kcoreaddons 5.54.0+rebuild

=== debian/changelog ===
kcoreaddons (5.54.0+rebuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 20 Jan 2021 12:59:43 +0800

## kcoreaddons 5.56.0

=== debian/changelog ===
kcoreaddons (5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:34:51 +0000

kcoreaddons (5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:29:57 +0000

kcoreaddons (5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:34:01 +0000

kcoreaddons (5.53.1-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * Update symbols from build logs.

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:47:49 +0000

kcoreaddons (5.53.0-0ubuntu2) UNRELEASED; urgency=medium

  * Drop upstream applied patch.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 03 Dec 2018 16:41:49 +0000

kcoreaddons (5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * Install kcoreaddons.categories file.

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)
  * Refresh fix-kformattest-plural-forms.patch
  * Refresh kdirwatch-tests-method-specific.patch

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:41:23 +0000

kcoreaddons (5.51.0-0ubuntu1) UNRELEASED; urgency=medium

  * New upstream release (5.51.0)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 11 Oct 2018 08:06:27 +0000

=== debian/control ===
Source: kcoreaddons
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 5.56.0~),
               graphviz,
               libfam-dev,
               libqt5sql5-sqlite:native,
               pkg-kde-tools (>= 0.15.16~),
               qtbase5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.6.1~),
               qttools5-dev-tools (>= 5.6.1~),
               shared-mime-info (>= 1.3),
Standards-Version: 4.1.4
Homepage: http://projects.kde.org/kcoreaddons
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kcoreaddons

Package: libkf5coreaddons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5coreaddons-dev (<= 5.8.0-1)
Replaces: libkf5coreaddons-dev (<= 5.8.0-1)
Description: KDE Frameworks 5 addons to QtCore - data files
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the arch independent files for KCoreAddons.

Package: libkf5coreaddons-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkf5coreaddons-dev-bin (= ${binary:Version}),
         libkf5coreaddons5 (= ${binary:Version}),
         qtbase5-dev (>= 5.8.0~),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5coreaddons-bin-dev (<< 5.42.0~), libkf5service-dev (<= 5.2.0)
Replaces: libkf5coreaddons-bin-dev (<< 5.42.0~), libkf5service-dev (<= 5.2.0)
Recommends: libkf5coreaddons-doc (= ${source:Version})
Description: KDE Frameworks 5 addons to QtCore - development files
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the development files for KCoreAddons.

Package: libkf5coreaddons-dev-bin
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkf5coreaddons-bin-dev, libkf5coreaddons-dev (<< 5.15.0-2~)
Replaces: libkf5coreaddons-bin-dev, libkf5coreaddons-dev (<< 5.15.0-2~)
Description: KDE Frameworks 5 addons to QtCore - development files
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
 .
 This package is an implementation detail for KCoreAddons.

Package: libkf5coreaddons-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: KDE Frameworks 5 addons to QtCore (documentation)
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
 .
 This package contains the qch documentation files.

Package: libkf5coreaddons5
Architecture: any
Multi-Arch: same
Depends: libkf5coreaddons-data (= ${source:Version}),
         shared-mime-info (>= 1.3),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE Frameworks 5 addons to QtCore
 KCoreAddons provides classes built on top of QtCore to perform various tasks
 such as manipulating mime types, autosaving files, creating backup files,
 generating random sequences, performing text manipulations such as macro
 replacement, accessing user information and many more.
 .
 This package is part of KDE Frameworks 5.
